This wiki has been moved to https://github.com/SuperTux/wiki into the mediawiki branch.

Difference between revisions of "Talk:Building SuperTux"

From SuperTux
Jump to: navigation, search
(Debian)
 
Line 15: Line 15:
 
In Debian, there is a package for Supertux 0.3.3. Using the command "apt-get build-dep supertux", one can install the libraries supertux depends on, which are exactly the ones used in the svn version. Using this command is simpler than to know which libraries are to install, which are already there on the system, how to compile them and so on. Couldn't edit, the article is locked.
 
In Debian, there is a package for Supertux 0.3.3. Using the command "apt-get build-dep supertux", one can install the libraries supertux depends on, which are exactly the ones used in the svn version. Using this command is simpler than to know which libraries are to install, which are already there on the system, how to compile them and so on. Couldn't edit, the article is locked.
 
:Only locked for newly created accounts. Spam bots learned to register. :-( Anyway, which Debian version ships SVN snapshot instead of stable?
 
:Only locked for newly created accounts. Spam bots learned to register. :-( Anyway, which Debian version ships SVN snapshot instead of stable?
 +
:: Ubuntu lucid and all the versions after use Supertux 0.3.2: [http://packages.ubuntu.com/search?keywords=supertux Repository Documentation].
 +
:: "Normal" Debian has 0.3.2 in its experimental repository: [http://packages.debian.org/search?keywords=supertux Repos Doc]. The command for "normal" Debian is: "apt-get -t experimental build-dep supertux". First one has to make sure to have the experimental repository enabled, in the /etc/apt/sources.list file. There should be a line consisting of "deb http://ftp.debian.org/debian experimental main". -[[User:Loseyl|Loseyl]] 15:44, 18 February 2011 (UTC)

Latest revision as of 08:44, 18 February 2011

Building 'Tux: Some issues

All of these issues are on MAC OS X 10.4, with the full set of developer tools installed.

•I CANNOT get PhysFS 1.0.1 to compile (although 1.1.0 compiles perfectly.)

•LibJpeg and libPNG are being recalcitrant as well. More details soon, although if someone has a generalized solution...

Gentoo

It should be "emerge -avn subversion ftjam media-libs/openal physfs libsdl sdl-image libvorbis libogg". Page is locked so I cannot edit it myself.

Debian

In Debian, there is a package for Supertux 0.3.3. Using the command "apt-get build-dep supertux", one can install the libraries supertux depends on, which are exactly the ones used in the svn version. Using this command is simpler than to know which libraries are to install, which are already there on the system, how to compile them and so on. Couldn't edit, the article is locked.

Only locked for newly created accounts. Spam bots learned to register. :-( Anyway, which Debian version ships SVN snapshot instead of stable?
Ubuntu lucid and all the versions after use Supertux 0.3.2: Repository Documentation.
"Normal" Debian has 0.3.2 in its experimental repository: Repos Doc. The command for "normal" Debian is: "apt-get -t experimental build-dep supertux". First one has to make sure to have the experimental repository enabled, in the /etc/apt/sources.list file. There should be a line consisting of "deb http://ftp.debian.org/debian experimental main". -Loseyl 15:44, 18 February 2011 (UTC)